// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef NT_NAMING_SERVICE_H
#define NT_NAMING_SERVICE_H

class NTNamingService : public OBNTService
{
    CORBA_BOA_var boa_; // The BOA
    bool stopped_;

public:

    NTNamingService();
    
    virtual void start(int, char**);
    virtual void stop();
};

#endif
